function onBegin()
	
	disableMovement()
	makeUnskippable()
	disableRetry()
	
	say("KtA_CTSD_cheese")
	
	enableMovement()
	enableRetry()

end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
end